class CfgPatches
{
	class fin_OfficerP
	{
		units[] = {fin_OfficerP};
		weapons[] = {};
		requiredVersion = 1.30;		
	};
	class fin_SoldierP
	{
		units[] = {fin_SoldierP};
		weapons[] = {};
		requiredVersion = 1.30;		
	};
	class fin_SoldierPLAW
	{
		units[] = {fin_SoldierPLAW};
		weapons[] = {};
		requiredVersion = 1.30;		
	};
	class fin_SoldierPEng
	{
		units[] = {fin_SoldierPEng};
		weapons[] = {};
		requiredVersion = 1.30;		
	};
	class fin_MedicP
	{
		units[] = {fin_MedicP};
		weapons[] = {};
		requiredVersion = 1.30;		
	};
};

class CfgVehicles
{
	class All{};
	class AllVehicles:All{};
	class Land:AllVehicles{};
	class Man:Land{};
	class Soldier:Man{};
	class SoldierWB:Soldier{};
	class SoldierWMedic: SoldierWB{};
	class SoldierWG: SoldierWB{};
	class SoldierWMG: SoldierWB{};
	class SoldierWLAW: SoldierWB{};
	class SoldierWAT: SoldierWLAW{};
	class SoldierWAA: SoldierWLAW{};
	class OfficerW: SoldierWB{};
	class OfficerWNight:SoldierWB{};
	class SoldierWSniper: SoldierWB{};
	class SoldierWMiner: SoldierWB{};
	class SoldierWSaboteur: SoldierWB{};
	class SoldierWSaboteurPipe: SoldierWSaboteur{};
	class SoldierWSaboteurDay: SoldierWSaboteurPipe{};
	
	class fin_OfficerP: SoldierWSaboteur
	{
		model="\fin_rec\finp_soldier";
		displayName="FIN Pioneer Officer";
		picture="\fin_rec\ivojak";
		nameSound="officer";
		moves="CfgMovesMC";
		vehicleClass="Men";
		scope=2;
		side=1;
		sensitivity=2.700000;
		accuracy=1.800000;
		weapons[]={"uce_rk76","Throw","Put","NVGoggles","Binocular"};
		magazines[]={"uce_rk76","uce_rk76","uce_rk76","uce_rk76","HandGrenade","HandGrenade","HandGrenade","HandGrenade","PipeBomb"};
		canHideBodies=1;
		cost=90000;
		camouflage=0.800000;
		wounds[]={"\fin_rec\00005mc_finp2.paa","\fin_rec\00007mc_finp2.paa",
			"\fin_rec\finp_hrud_p.pac","\fin_rec\finp_hrud_p_d.pac",
			"\fin_rec\finp_nohy_p.pac","\fin_rec\finp_nohy_p_d.pac",
			"\fin_rec\finp_nohy_z.pac","\fin_rec\finp_nohy_z_d.pac",
			"\fin_rec\finp_ramena.pac","\fin_rec\finp_ramena_d.pac",		
			"\fin_rec\finp_rukabok_l.pac","\fin_rec\finp_rukabok_l_d.pac",
			"\fin_rec\finp_rukabok_p.pac","\fin_rec\finp_rukabok_p_d.pac",
			"\fin_rec\finp_zada_z.pac","\fin_rec\finp_zada_z_d.pac"};

	};

	class fin_SoldierP: SoldierWSaboteur
	{
		model="\fin_rec\finp_soldier";
		displayName="FIN Pioneer";
		picture="\fin_rec\ivojak";
		moves="CfgMovesMC";
		vehicleClass="Men";
		scope=2;
		side=1;
		sensitivity=2.500000;
		accuracy=1.600000;
		weapons[]={"uce_rk76","Throw","Put","NVGoggles"};
		magazines[]={"uce_rk76","uce_rk76","uce_rk76","uce_rk76","HandGrenade","HandGrenade","HandGrenade","HandGrenade","PipeBomb"};
		canHideBodies=1;
		cost=70000;
		camouflage=0.800000;
		wounds[]={"\fin_rec\00005mc_finp2.paa","\fin_rec\00007mc_finp2.paa",
			"\fin_rec\finp_hrud_p.pac","\fin_rec\finp_hrud_p_d.pac",
			"\fin_rec\finp_nohy_p.pac","\fin_rec\finp_nohy_p_d.pac",
			"\fin_rec\finp_nohy_z.pac","\fin_rec\finp_nohy_z_d.pac",
			"\fin_rec\finp_ramena.pac","\fin_rec\finp_ramena_d.pac",		
			"\fin_rec\finp_rukabok_l.pac","\fin_rec\finp_rukabok_l_d.pac",
			"\fin_rec\finp_rukabok_p.pac","\fin_rec\finp_rukabok_p_d.pac",
			"\fin_rec\finp_zada_z.pac","\fin_rec\finp_zada_z_d.pac"};

	};

	class fin_SoldierPLAW: SoldierWSaboteur
	{
		model="\fin_rec\finp_soldier";
		displayName="FIN Pioneer LAW";
		picture="\fin_rec\islaw";
		nameSound="missileSoldier";
		moves="CfgMovesMC";
		vehicleClass="Men";
		scope=2;
		side=1;
		sensitivity=2.500000;
		accuracy=1.800000;
		weapons[]={"uce_rk76","Throw","Put","NVGoggles","LAWLauncher"};
		magazines[]={"uce_rk76","uce_rk76","uce_rk76","uce_rk76","LAWLauncher","LAWLauncher","LAWLauncher"};
		canHideBodies=1;
		cost=80000;
		camouflage=0.800000;
		wounds[]={"\fin_rec\00005mc_finp2.paa","\fin_rec\00007mc_finp2.paa",
			"\fin_rec\finp_hrud_p.pac","\fin_rec\finp_hrud_p_d.pac",
			"\fin_rec\finp_nohy_p.pac","\fin_rec\finp_nohy_p_d.pac",
			"\fin_rec\finp_nohy_z.pac","\fin_rec\finp_nohy_z_d.pac",
			"\fin_rec\finp_ramena.pac","\fin_rec\finp_ramena_d.pac",		
			"\fin_rec\finp_rukabok_l.pac","\fin_rec\finp_rukabok_l_d.pac",
			"\fin_rec\finp_rukabok_p.pac","\fin_rec\finp_rukabok_p_d.pac",
			"\fin_rec\finp_zada_z.pac","\fin_rec\finp_zada_z_d.pac"};

	};
	
	class fin_SoldierPEng: SoldierWSaboteur
	{
		model="\fin_rec\finp_soldier";
		displayName="FIN Pioneer Engineer";
		picture="\fin_rec\iminer";
		moves="CfgMovesMC";
		vehicleClass="Men";
		scope=2;
		side=1;
		sensitivity=2.500000;
		accuracy=1.600000;
		weapons[]={"uce_rk76","Throw","Put","NVGoggles"};
		magazines[]={"uce_rk76","uce_rk76","uce_rk76","uce_rk76","HandGrenade","HandGrenade","Mine","Mine"};
		canHideBodies=1;
		cost=80000;
		camouflage=0.800000;
		wounds[]={"\fin_rec\00005mc_finp2.paa","\fin_rec\00007mc_finp2.paa",
			"\fin_rec\finp_hrud_p.pac","\fin_rec\finp_hrud_p_d.pac",
			"\fin_rec\finp_nohy_p.pac","\fin_rec\finp_nohy_p_d.pac",
			"\fin_rec\finp_nohy_z.pac","\fin_rec\finp_nohy_z_d.pac",
			"\fin_rec\finp_ramena.pac","\fin_rec\finp_ramena_d.pac",		
			"\fin_rec\finp_rukabok_l.pac","\fin_rec\finp_rukabok_l_d.pac",
			"\fin_rec\finp_rukabok_p.pac","\fin_rec\finp_rukabok_p_d.pac",
			"\fin_rec\finp_zada_z.pac","\fin_rec\finp_zada_z_d.pac"};

	};
	
	class fin_MedicP: SoldierWSaboteur
	{
		model="\fin_rec\finp_soldier";
		displayName="FIN Pioneer Medic";
		picture="\fin_rec\imedic";
		nameSound="medic";
		moves="CfgMovesMC";
		vehicleClass="Men";
		scope=2;
		side=1;
		sensitivity=2.500000;
		accuracy=1.600000;
		attendant=1;
		weapons[]={"uce_rk76","Throw","Put","NVGoggles"};
		magazines[]={"uce_rk76","uce_rk76","uce_rk76","uce_rk76","HandGrenade","HandGrenade","HandGrenade"};
		canHideBodies=1;
		cost=80000;
		camouflage=0.800000;
		wounds[]={"\fin_rec\00005mc_finp2.paa","\fin_rec\00007mc_finp2.paa",
			"\fin_rec\finp_hrud_p.pac","\fin_rec\finp_hrud_p_d.pac",
			"\fin_rec\finp_nohy_p.pac","\fin_rec\finp_nohy_p_d.pac",
			"\fin_rec\finp_nohy_z.pac","\fin_rec\finp_nohy_z_d.pac",
			"\fin_rec\finp_ramena.pac","\fin_rec\finp_ramena_d.pac",		
			"\fin_rec\finp_rukabok_l.pac","\fin_rec\finp_rukabok_l_d.pac",
			"\fin_rec\finp_rukabok_p.pac","\fin_rec\finp_rukabok_p_d.pac",
			"\fin_rec\finp_zada_z.pac","\fin_rec\finp_zada_z_d.pac"};

	};
};

class CfgGroups
{
	class fin_fdf
	{
		name="Finnish Defence Forces";
		class fin_Infantry
		{
			name="Infantry";
			class fin_PioneerSquad
			{
				name="Pioneer Team";

				class Unit0
				{
					side=1;
					vehicle="fin_OfficerP";
					rank="Lieutnant";
					position[]={0,0,0};
				};

				class Unit1
				{
					side=1;
					vehicle="fin_SoldierPLAW";
					rank="Sergeant";
					position[]={-2,-2,0};
				};
				class Unit2
				{
					side=1;
					vehicle="fin_SoldierP";
					rank="Sergeant";
					position[]={0,-2,0};
				};
				class Unit3
				{
					side=1;
					vehicle="fin_SoldierPLAW";
					rank="Corporal";
					position[]={2,-2,0};
				};
				class Unit4
				{
					side=1;
					vehicle="fin_SoldierPEng";
					rank="Corporal";
					position[]={4,-2,0};
				};
				class Unit5
				{
					side=1;
					vehicle="fin_MedicP";
					rank="Corporal";
					position[]={6,-2,0};
				};
			};
		};
	};
};
